PlayMultiVersionIntegrationTest.groovy

Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Remove play framework support from Gradle distribution

This is superseded by: https://gradle.github.io/playframework/

This commit removes:

- The `platform-play` and `ide-play` subprojects

- The documentation for the functionality provided by these projects

    • -31
    • +0
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 502 more files in changeset.
Remove play framework support from Gradle distribution

This is superseded by: https://gradle.github.io/playframework/

This commit removes:

- The `platform-play` and `ide-play` subprojects

- The documentation for the functionality provided by these projects

    • -31
    • +0
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 499 more files in changeset.
Remove play framework support from Gradle distribution

This is superseded by: https://gradle.github.io/playframework/

This commit removes:

- The `platform-play` and `ide-play` subprojects

- The documentation for the functionality provided by these projects

    • -31
    • +0
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 508 more files in changeset.
Remove play framework support from Gradle distribution

This is superseded by: https://gradle.github.io/playframework/

This commit removes:

- The `platform-play` and `ide-play` subprojects

- The documentation for the functionality provided by these projects

    • -31
    • +0
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 503 more files in changeset.
Remove play framework support from Gradle distribution

This is superseded by: https://gradle.github.io/playframework/

This commit removes:

- The `platform-play` and `ide-play` subprojects

- The documentation for the functionality provided by these projects

    • -31
    • +0
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 503 more files in changeset.
Remove play framework support from Gradle distribution

This is superseded by: https://gradle.github.io/playframework/

This commit removes:

- The `platform-play` and `ide-play` subprojects

- The documentation for the functionality provided by these projects

    • -31
    • +0
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 499 more files in changeset.
Deprecate 'play' plugins

They are superseded by https://gradle.github.io/playframework

    • -0
    • +4
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 65 more files in changeset.
Deprecate 'play' plugins

They are superseded by https://github.com/gradle/gradle/issues/9412

    • -0
    • +4
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 65 more files in changeset.
Deprecate 'play' plugins

They are superseded by https://gradle.github.io/playframework

    • -0
    • +4
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 68 more files in changeset.
Deprecate 'play' plugins

They are superseded by https://gradle.github.io/playframework

    • -0
    • +4
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 65 more files in changeset.
Revert "Allow deprecation warnings for play tests"

This reverts commit 90f3d5cc466fa3e459b9d29fcf55f841de82892d.

    • -3
    • +0
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 10 more files in changeset.
Revert "Allow deprecation warnings for play tests"

This reverts commit 90f3d5cc466fa3e459b9d29fcf55f841de82892d.

    • -3
    • +0
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 10 more files in changeset.
Allow deprecation warnings for play tests

    • -0
    • +3
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 10 more files in changeset.
Re-enable Play/Scala tests on Java 9+ (#5593)

Almost all Play/Scala tests were ignored on Java 9/10, which makes it lack coverage. This PR does:

- Update Scala version to Java9-compatible version according to [JDK compatibility](https://docs.scala-lang.org/overviews/jdk-compatibility/overview.html).

- Update default Play version to latest 2.6.15, which supports Java 9/10

- Adjust corresponding samples. Previous default Play version 2.3.10 was too old (release at 2014).

- Ignored the tests which can't work on Java 9+.

- Separate Play test resources with different versions. For example, Play 2.6 uses `build.gradle` and `Play 2.4/2.5` uses `build.gradle.old`.

- Previously `AbstractMultiVersionPlayContinuousBuildIntegrationTest` didn't have `targetPlatform` configuration, which made multi-version tests meaningless

- Fix `play-logback` configuration for `2.5.18`.

    • -23
    • +4
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 170 more files in changeset.
Deprecate Play 2.2 support

Signed-off-by: Bo Zhang <bo@gradle.com>

    • -0
    • +21
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 5 more files in changeset.
Removed TestPrecondition.JDK7_OR_LATER

    • -5
    • +0
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 39 more files in changeset.
Making all play continuous mode and reload tests multiversion

+review REVIEW-5521

    • -1
    • +1
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 7 more files in changeset.
Cleaning up play target version handling

review REVIEW-5529

    • -1
    • +1
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 5 more files in changeset.
Play 2.4.0 tests require Java 8

+review REVIEW-5529

    • -1
    • +3
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 1 more file in changeset.
Moving play test fixtures to testFixtures source set

    • -0
    • +28
    ./PlayMultiVersionIntegrationTest.groovy
  1. … 130 more files in changeset.